Subject: bug#45625: C-p (previous-line) now wipes out windows, if misaimed

From: "Jose A. Ortega Ruiz" <[email-masked]>
Date: Tue, 05 Jan 2021 17:04:06 +0000

On Tue, Jan 05 2021, Richard Stallman wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > > Jidanni, we could add an option to tell ESC ESC ESC not to mess with
>   > > the window layout, for users who do know the C-x 1 command.
>
>   > FWIW, i would certainly make use or that option (the triple C-[ scenario
>   > has happened to me many times, and i learned about winner-undo just to
>   > be able to revert quickly its effects).
>
> Want to write a patch to create the option, with the default
> being the current behavior?

i just took a look, and there is already a variable,
buffer-quit-function, to set up a function to call instead of
delete-other-windows.  i suspect it was introduced with something like
addressing this problem in mind (i think it's not used anywhere else).

for instance, just setting

    (setq buffer-quit-function (lambda () t))

fixes the issue for me.

jao
-- 
I have lived in this world just long enough to look carefully the
second time into things that I am most certain of the first
time. -Josh Billings, columnist and humorist (21 Apr 1818-1885)